#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QFileDialog>
#include <QProgressBar>
#include "flashtarget.h"


namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    targetItem getTargetFromId(unsigned int _idx);

private slots:
    void on_btnCreateZipFile_clicked();

private:
    Ui::MainWindow *ui;

    void readConfig();
    void writeConfig();

    QFileDialog fileSelector;
    QProgressBar *progressBar;

    QString lastOutputFolder;

    flashTargetClass *flashTargets;

};

#endif // MAINWINDOW_H
